/* place_section */
.place_section {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 160px;
    padding-bottom: 400px;
    padding-right: 200px;
    padding-left: 200px;
    /* background: linear-gradient(to top, #ECE8E000,#ECE8E060),
    url(/public/image/brand_story/intro_bg.jpg);
    background-blend-mode: multiply; */
}
.place_section .title {
    display: flex;
    width: 100%;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 60px;
}
.place_wrap {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 60px;
    width: 100%;
}
.transportation_wrap {
    flex: 2;
}
.map_wrap {
    height: 650px;
    flex: 8;
}
.img_box {
    height: 650px;
    overflow: hidden;
    cursor: grab;
}
.trans_title { 
    margin-bottom: 30px; 
    font-size: 32px;
    font-weight: 600;
}
.trans_head {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    text-align: center;
    margin-bottom: 80px;
}
.trans_head li {
    cursor: pointer;
    transition: all 0.3s;
    padding: 10px;
    position: relative;
    width: 100%;
    height: 100px;
    aspect-ratio: 1 / 1.5;
}
.trans_head li img,
.trans_head li:hover img,
.trans_head li.active img {
    width: 40px;
    height: 40px;
    object-fit: contain;
}

.transportation_wrap .btn_off {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -60%);
    width: 40px;
    height: 40px;
}
/* hover */
.trans_head li:hover,
.trans_head li.active {
    background-color: var(--main-green);
    color: var(--main-cream);
}

.trans_head li:hover .btn_off,
.trans_head li.active .btn_off{
    opacity: 0;
}

.trans_head li:hover .btn_on,
.trans_head li.active .btn_on {
    opacity: 1;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -60%);
    width: 40px;
    height: 40px;
}
.trans_head p:nth-child(3) {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translate(-50%, 0);
}
.trans_contents {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 20px;
}

/* trans-버튼 */
.btn {
    width: 100%;
    padding: 8px 16px;
    font-size: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 60px;
    border: 1px solid var(--main-black);
    transition: all 0.3s;
    cursor: pointer;
    white-space: nowrap;
    position: relative;
}
.icon_on,
.icon_off {
    position: absolute;
    right: 16px;
}
.btn:hover, 
.trans_contents .btn.active {
    background-color: var(--main-green);
    color: var(--main-cream);
}

.trans_contents .btn:hover .icon_off,
.trans_contents .btn.active .icon_off {
    opacity: 0;
}

.trans_contents .btn:hover .icon_on,
.trans_contents .btn.active .icon_on {
    opacity: 1;
}
.trans_contents .btn.active {
    background-color: var(--main-green);
    color: var(--main-cream);
}


/* map */
.map_image {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: 0.3s;
    transform-origin: 0 0;
    will-change: transform;
}


/* 기본 */

.map_image.car {
    background-image: url(../public/image/place/map_car.jpg);
}

.map_image.bus {
    background-image: url(../public/image/place/map_bus.jpg);
}

.map_image.subway {
    background-image: url(../public/image/place/map_subway.jpg);
}


/* 버스 상세 */

.map_image.bus_1 {
    background-image: url(../public/image/place/map_bus1.jpg);
}

.map_image.bus_2 {
    background-image: url(../public/image/place/map_bus2.jpg);
}

.map_image.bus_3 {
    background-image: url(../public/image/place/map_bus3.jpg);
}

.map_image.bus_4 {
    background-image: url(../public/image/place/map_bus4.jpg);
}

.map_image.bus_5 {
    background-image: url(../public/image/place/map_bus5.jpg);
}

.map_image.bus_6 {
    background-image: url(../public/image/place/map_bus6.jpg);
}


/* 지하철 상세 */

.map_image.subway_1 {
    background-image: url(../public/image/place/map_subway1.jpg);
}

.map_image.subway_2 {
    background-image: url(../public/image/place/map_subway2.jpg);
}


/* map_text */
.map_text {
    display: flex;
    flex-direction: row;
    gap: 60px;
    padding-top: 30px;
    font-size: 18px;
}
.map_text ul{
    display: grid;
    grid-template-rows: repeat(3, 1fr);
}
.map_text ul li {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding: 4px 0;
}
.map_txt_tit {
    transform: translateX(20px);
    padding: 4px 0;
    font-weight: 700;
}
.map_tit {
    font-weight: 700;
}

/* 네이버지도 외부 링크 */
.booking {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 60px 0;
}
.booking .btn02 {
    width: 100%;
    position: relative;
}
.btn02 a {
    width: auto;
    max-width: 300px;
    padding: 8px 16px;
    font-size: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 60px;
    border: 1px solid var(--main-black);
    transition: all 0.3s;
    cursor: pointer;
    white-space: nowrap;
    position: relative;
}
.booking .btn_off {
    position: absolute;
    top: 50%;
    right: 10px !important;
    transform: translate(-50%, -50%);
}
.booking .btn02 a:hover ~.btn_off {
    opacity: 0;
}
.btn02 a:hover {
    background-color: var(--main-green);
    color: var(--main-cream);
}
.booking .btn02 a:hover .btn_on {
    opacity: 1;
    position: absolute;
    top: 50%;
    right: 10px !important;
    transform: translate(-50%, -50%);
}
@media screen and (max-width: 1500px) {
    .trans_contents p {
        font-size: 16px;
    }
    .place_section {
        padding-bottom: 500px;
        padding-right: 60px;
        padding-left: 60px;
    }
}
@media screen and (max-width: 1200px) {
    .place_section {
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-top: 160px;
        padding-bottom: 400px;
        padding-right: 30px;
        padding-left: 30px;
    }
    .place_section .title {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 60px;
    }
    .trans_head {
        margin-bottom: 30px;
    }
    .place_wrap{
        flex-direction:column;
    }
    .transportation_wrap {
        flex: 2;
    }
    .map_wrap {
        width: 100%;
        height: 400px;
        flex: none;
    }
    .img_box {
        width: 100%;
        height: 500px;
        overflow: hidden;
        cursor: grab;
    }
    .map_image {
        width: 100%;
        height: 100%;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        transition: 0.3s;
    }
    .trans_contents {
        flex-direction: row;
        gap: 10px;
        overflow-x: auto;
    }
    .btn {
        padding-right: 80px;
    }
}
@media screen and (max-width: 800px) {
    .img_box {
        aspect-ratio: 3 / 2;
        height: auto;
    }
    .map_image {
        background-size: cover;
    }
    .place_wrap {
        gap: 10px;
    }
    .place_section {
        padding-bottom: 600px;
    }
    .map_text {
        display: flex;
        flex-direction: column;
        gap: 20px;
        padding-top: 30px;
    }
    .map_text ul {
        display: grid;
        grid-template-rows: repeat(1, 1fr);
    }
    .map_txt_tit {
        transform: translateX(0px);
    }
}
@media screen and (max-width: 768px) {
    .place_section {
        padding-bottom: 400px;
    }
    .place_section .title {
        font-size: 26px;
    }
    .transportation_wrap {
        height: 100px;
    }
    .trans_head {
        margin-bottom: 30px;
    }
    .map_wrap {
        width: 100%;
        height: 300px;
        flex: none;
    }

    .trans_title {
        font-size: 26px;
    }
    .map_text {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
    .map_text ul {
        display: grid;
        grid-template-rows: repeat(1, 1fr);
    }
    .map_txt_tit {
        transform: translateX(0px);
        font-weight: 700;
        padding-top: 30px;
    }
    .img_box {
        width: 100%;
        height: 250px;
        overflow: hidden;
        cursor: grab;
    }
    .btn {
        width: 100%;
        padding: 8px 40px 8px 20px;
        font-size: 14px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 60px;
        border: 1px solid var(--main-black);
        transition: all 0.3s;
        cursor: pointer;
        white-space: nowrap;
        position: relative;
    }
    .btn02 a {
        font-size: 14px;
    }
}
@media screen and (max-width: 500px) {
    .place_section {
        padding-bottom: 550px;
    }
    .transportation_wrap {
        height: 100px;
    }
    .trans_head {
        margin-bottom: 30px;
    }
    .map_wrap {
        width: 100%;
        height: 200px;
        flex: none;
    }
    .map_text {
        display: flex;
        flex-direction: column;
        gap: 20px;
        padding-top: 30px;
    }
    .map_txt_tit {
        transform: translateX(0px);
    }
    .trans_title {
        font-size: 18px;
    }
}
@media screen and (max-width: 450px) {
    .place_section {
        padding-bottom: 400px;
    }
    .img_box {
        width: 100%;
        height: 180px;
        overflow: hidden;
        cursor: grab;
    }
    .map_text  {
        font-size: 15px;
    }
    .map_txt_tit {
        padding-top: 0;
        transform: translateY(10px);
    }
    .btn02 a {
        font-size: 14px;
    }
}